geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul McMahan <paulmcma...@gmail.com>
Subject Re: [Vote]: Re-version eclipse plugin from 0.5.0 to 1.0.0
Date Fri, 13 Jan 2006 14:10:26 GMT
As a frequent user of enterprise application development tooling I can
attest to the fact that discrepancies between the version numbers in the
tool/plugin and the application server it is compatible with or embeds can
lead to confusion and lost productivity.  So I would definitely vote in
favor of keeping the version numbers aligned as closely as possible.

[x] Re-version the initial release to 1.0.0

Best wishes,
Paul

On 1/13/06, Sachin Patel <sppatel@gmail.com> wrote:
>
> Its been brought to my attention that to better align versions with
> server releases, the eclipse-plugin should be re-versioned for its
> initial release to be 1.0.0, not 0.5.0.  The idea here being that any
> major releases of the server, will have a matching corresponding
> eclipse feature version.  Minor versions may still need to be
> independently versioned.  Having a plugin that packages some of the
> Geronimo 1.0.0 runtime jars into a plugin that is versioned 0.5.0 is
> confusing to many users.
>
> We have a small time frame to decide if we do want to change the
> version immediately, as Eclipse-WTP is about to release their first
> maintenance release 1.0.1, and we agree upon this, I will need to
> inform them of this change so they can react ASAP.  Our next
> opportunity to do this will may not be for another 1-2 months.
>
> [ ] Re-version the initial release to 1.0.0
> [ ] Leave it at 0.5.0
> [ ] Doesn't matter
>
> - sachin
>
>
>
>

Mime
View raw message